- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Modules | Functions
main
Eeze

These are general eeze functions which include init and shutdown. More...

## Modules
| udev
| These are functions which interact directly with udev.

## Functions
EAPI int | eeze_init (void)
| Initialize the eeze library. More...
EAPI int | eeze_shutdown (void)
| Shut down the eeze library. More...

## Detailed Description

These are general eeze functions which include init and shutdown.

## Function Documentation

EAPI int eeze_init | ( | void |  | ) |

Initialize the eeze library.

Returns
  The number of times the function has been called, or -1 on failure.

This function should be called prior to using any eeze functions, and MUST be called prior to using any udev functions to avoid a segv.

References ecore_init(), ecore_shutdown(), eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, and eina_shutdown().

Referenced by ecore_drm_init().

EAPI int eeze_shutdown | ( | void |  | ) |

Shut down the eeze library.

Returns
  The number of times the eeze_init has been called, or -1 when all occurrences of eeze have been shut down.

This function should be called when no further eeze functions will be called.

References ecore_shutdown(), eina_log_domain_unregister(), EINA_LOG_ERR, and eina_shutdown().

Referenced by ecore_drm_shutdown().